org.apache.lucene.util

## Interface MemoryTracker

All Known Implementing Classes:
  CollectorMemoryTracker

    public interface MemoryTracker

Tracks dynamic allocations/deallocations of memory for transient objects

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getBytes()`
`void` `updateBytes(long bytes)`

### Method Detail

#### updateBytes

    void updateBytes(long bytes)

#### getBytes

    long getBytes()